For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate a cluster
      • DELDelete a cluster
      • GETGet a cluster
      • GETList clusters
      • POSTUpdate a cluster
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceCluster

Create a cluster

POST
https://api.astronomer.io/v1/organizations/:organizationId/clusters
POST
/v1/organizations/:organizationId/clusters
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId/clusters \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "cloudProvider": "AZURE",
> "name": "My cluster",
> "region": "us-east-1",
> "type": "DEDICATED",
> "vpcSubnetRange": "172.20.0.0/22"
>}'
1{
2 "cloudProvider": "AWS",
3 "createdAt": "2022-11-22T04:37:12Z",
4 "dbInstanceType": "db.t3.medium",
5 "drRegion": "us-east-1",
6 "id": "clm7k8tgw000008jz97i37y81",
7 "isDrEnabled": true,
8 "name": "my cluster",
9 "organizationId": "clm88r8hi000008jwhzxu5crg",
10 "region": "us-east-1",
11 "status": "CREATED",
12 "type": "DEDICATED",
13 "updatedAt": "2022-11-22T04:37:12Z",
14 "vpcSubnetRange": "172.20.0.0/22",
15 "drSecondaryVpcCidr": "string",
16 "drVpcSubnetRange": "string",
17 "enableReplicationTimeControl": true,
18 "failoverInProgress": true,
19 "healthStatus": {
20 "value": "HEALTHY",
21 "details": [
22 {
23 "code": "string",
24 "description": "string",
25 "severity": "string",
26 "component": "string"
27 }
28 ]
29 },
30 "isFailedOver": true,
31 "isLimited": false,
32 "metadata": {
33 "externalIPs": [
34 "35.100.100.1"
35 ],
36 "kubeDnsIp": "10.100.100.0",
37 "oidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfae-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/"
38 },
39 "nodePools": [
40 {
41 "cloudProvider": "AWS",
42 "clusterId": "clm891jb6000308jrc3vjdtde",
43 "createdAt": "2022-11-22T04:37:12Z",
44 "id": "clm890zhe000208jr39dd0ubs",
45 "isDefault": true,
46 "maxNodeCount": 1,
47 "name": "default",
48 "nodeInstanceType": "t3.medium",
49 "updatedAt": "2022-11-22T04:37:12Z",
50 "supportedAstroMachines": [
51 "A5",
52 "A10"
53 ]
54 }
55 ],
56 "podSubnetRange": "172.21.0.0/19",
57 "providerAccount": "provider-account",
58 "secondaryVpcCidr": "string",
59 "servicePeeringRange": "172.23.0.0/20",
60 "serviceSubnetRange": "172.22.0.0/22",
61 "tags": [
62 {
63 "key": "key1",
64 "value": "value1"
65 }
66 ],
67 "tenantId": "your-tenant-id",
68 "workspaceIds": [
69 "clm88rddl000108jwgeka2div"
70 ]
71}
Create a cluster in the Organization. An Astro cluster is a Kubernetes cluster that hosts the infrastructure required to run Deployments.
Was this page helpful?
Previous

Delete a cluster

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to create the cluster in.

Request

The request body for creating a cluster
AWSobjectRequired
OR
AZUREobjectRequired
OR
GCPobjectRequired

Response

OK
cloudProviderenum
The name of the cluster's cloud provider.
Allowed values:
createdAtstringformat: "date-time"

The time when the cluster was created in UTC. formatted as YYYY-MM-DDTHH:MM:SSZ.

dbInstanceTypestring
The type of database instance that is used for the cluster.
drRegionstring
The secondary region for Disaster Recovery for the cluster.
idstring
The cluster's ID.
isDrEnabledboolean
Whether Disaster Recovery is enabled on the cluster
namestring
The cluster's name.
organizationIdstring
The ID of the Organization that the cluster belongs to.
regionstring
The region in which the cluster is created.
statusenum
The status of the cluster.
typeenum
The type of the cluster.
Allowed values:
updatedAtstringformat: "date-time"

The time when the cluster was last updated in UTC. formatted as YYYY-MM-DDTHH:MM:SSZ.

vpcSubnetRangestring
The VPC subnet range.
drSecondaryVpcCidrstring
The secondary CIDR for the DR region. For AWS clusters only.
drVpcSubnetRangestring
The VPC subnet range for the DR region. For AWS clusters only.
enableReplicationTimeControlboolean
Whether S3 Replication Time Control is enabled for DR.
failoverInProgressboolean
Whether a failover is currently in progress.
healthStatusobject
isFailedOverboolean
Whether the cluster is currently failed over to the DR region.
isLimitedboolean
Whether the cluster is limited.
metadataobject
nodePoolslist of objects
The list of node pools that are created in the cluster.
podSubnetRangestring
The subnet range for Pods. For GCP clusters only.
providerAccountstring
The provider account ID. For GCP clusters only.
secondaryVpcCidrstring
The secondary VPC CIDR. For AWS clusters only.
servicePeeringRangestring
The service peering range. For GCP clusters only.
serviceSubnetRangestring
The service subnet range. For GCP clusters only.
tagslist of objects
The Kubernetes tags in the cluster. For AWS Hybrid clusters only.
tenantIdstring
The tenant ID. For Azure clusters only.
workspaceIdslist of strings
The list of Workspaces that are authorized to the cluster.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error